Bug 1425409 - add MASTER=dev when creating bond directly with slaves in nmtui
Summary: add MASTER=dev when creating bond directly with slaves in nmtui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: sushil kulkarni
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1525078
TreeView+ depends on / blocked
 
Reported: 2017-02-21 11:41 UTC by Vladimir Benes
Modified: 2017-12-12 14:59 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1525078 (view as bug list)
Environment:
Last Closed: 2017-08-01 09:24:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Vladimir Benes 2017-02-21 11:41:13 UTC
Description of problem:
now you have to save bond/team/bridge to correctly add MASTER=dev to slaves. This cannot be done directly but the nmtui workflow is rather leading to create it the unsupported way. 

Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-17

How reproducible:
always

Steps to Reproduce:
1.nmtui
2.edit a connection
3.Add -> Bond
4.Add-> Ethernet
5.add a device to ethernet
6 OK
7.OK


Actual results:
vbenes@trautenberg:~$ cat /etc/sysconfig/network-scripts/ifcfg-Ethernet_connection_1 
TYPE=Ethernet
NAME="Ethernet connection 1"
UUID=18ead8de-7b86-444f-babb-c1d2b4d0d457
ONBOOT=yes
MASTER=b22b848d-06d3-44a4-91bd-5ad8cba6d556
SLAVE=yes
DEVICE=eth1



Expected results:
vbenes@trautenberg:~$ cat /etc/sysconfig/network-scripts/ifcfg-Ethernet_connection_1 
TYPE=Ethernet
NAME="Ethernet connection 1"
UUID=18ead8de-7b86-444f-babb-c1d2b4d0d457
ONBOOT=yes

MASTER_UUID=b22b848d-06d3-44a4-91bd-5ad8cba6d556
MASTER=nm-bond
^^ these two lines

SLAVE=yes
DEVICE=eth1


Additional info:

Comment 1 Lubomir Rintel 2017-05-09 14:46:52 UTC
This should work since 9cc15d39eb5257f05d3e6633d46a5a428f417917

Comment 3 errata-xmlrpc 2017-08-01 09:24:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.